Package org.eclipse.emf.cdo.server.ocl

## Class CDOExtentCreator.Lazy

- java.lang.Object
- - org.eclipse.emf.cdo.server.ocl.CDOExtentCreator
  - - org.eclipse.emf.cdo.server.ocl.CDOExtentCreator.Lazy

- All Implemented Interfaces:
    `OCLExtentCreator`
  Enclosing class:
    CDOExtentCreator

      public static class CDOExtentCreator.Lazy
      extends CDOExtentCreator

  An `extent creator` that creates extent sets which support a lazy populating iterator.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.ocl.CDOExtentCreator

      `CDOExtentCreator.Lazy`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Lazy​(CDOView view)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.util.Set<org.eclipse.emf.ecore.EObject>` | `createExtent​(org.eclipse.emf.ecore.EClass eClass, IStoreAccessor accessor, CDOBranch branch, long timeStamp, java.util.concurrent.atomic.AtomicBoolean canceled)` |

    - ### Methods inherited from class org.eclipse.emf.cdo.server.ocl.CDOExtentCreator

      `createExtent, createExtent, getChangeSetData, getEObject, getRevisionCacheAdder, getRevisionInterner, getView, handleRevisions, isDetached, setChangeSetData, setRevisionCacheAdder, setRevisionInterner`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lazy

          public Lazy​(CDOView view)

  - ### Method Detail

    - #### createExtent

          protected java.util.Set<org.eclipse.emf.ecore.EObject> createExtent​(org.eclipse.emf.ecore.EClass eClass,
                                                                              IStoreAccessor accessor,
                                                                              CDOBranch branch,
                                                                              long timeStamp,
                                                                              java.util.concurrent.atomic.AtomicBoolean canceled)

      Overrides:
        `createExtent` in class `CDOExtentCreator`